﻿// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "GameFramework/Actor.h"
#include "ItemActor.generated.h"

UENUM(BlueprintType)
enum class EItemType : uint8
{
	Cube UMETA(DisplayName = "Cube"),
	Apple UMETA(DisplayName = "Apple"),
	Banana UMETA(DisplayName = "Banana"),
};

UCLASS()
class SEAGULLGAME_API AItemActor : public AActor
{
	GENERATED_BODY()

public:
	// Sets default values for this actor's properties
	AItemActor();

	UPROPERTY(EditDefaultsOnly, BlueprintReadOnly, Category = "Item")
	TSubclassOf<AItemActor> ItemNoPhysics;
	UPROPERTY(EditDefaultsOnly, BlueprintReadOnly, Category = "Item")
	float HungerValue = 10;
	UPROPERTY(EditDefaultsOnly, BlueprintReadOnly, Category = "Item")
	EItemType ItemType;

protected:
	// Called when the game starts or when spawned
	virtual void BeginPlay() override;

public:
	// Called every frame
	virtual void Tick(float DeltaTime) override;
};
